# class MultiRouter |
Contains pure virtuals
Full name | `TelEngine::MultiRouter`
Definition | `#include <libs/ypbx/yatepbx.h>`
Inherits | TelEngine::MessageReceiver [public ], TelEngine::Mutex [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum { Route, Execute, Hangup, Disconnected }

#### Public Methods

- MultiRouter (const char* trackName = 0)
- virtual ~MultiRouter ()
- void setup (int priority = 0)
- virtual bool received (Message& msg, int id)
- virtual bool msgRoute (Message& msg, CallInfo& info, bool first)
- virtual bool msgExecute (Message& msg, CallInfo& info, bool first)
- virtual bool msgDisconnected (Message& msg, CallInfo& info)
- virtual void msgHangup (Message& msg, CallInfo& info)
- virtual Message* buildExecute (CallInfo& info, bool reroute)
- Message* defaultExecute (CallInfo& info, const char* route = 0)

#### Protected Members

- CallList m_list

## Detailed Description

enum { Route, Execute, Hangup, Disconnected } | ###

MultiRouter (const char* trackName = 0) | ### MultiRouter

~MultiRouter () | ### ~MultiRouter

[virtual]

void setup (int priority = 0) | ### setup

bool received (Message& msg, int id) | ### received

[virtual]

Reimplemented from MessageReceiver.

bool msgRoute (Message& msg, CallInfo& info, bool first) | ### msgRoute

[virtual]

bool msgExecute (Message& msg, CallInfo& info, bool first) | ### msgExecute

[virtual]

bool msgDisconnected (Message& msg, CallInfo& info) | ### msgDisconnected

[virtual]

void msgHangup (Message& msg, CallInfo& info) | ### msgHangup

[virtual]

Message* buildExecute (CallInfo& info, bool reroute) | ### buildExecute

[pure virtual]

Message* defaultExecute (CallInfo& info, const char* route = 0) | ### defaultExecute

CallList m_list | ### m_list

[protected]

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.